CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-0193

WebSocket08FrameDecoder in Netty 3.6.x before 3.6.9, 3.7.x before 3.7.1, 3.8.x before 3.8.2, 3.9.x before 3.9.1, and 4.0.x before 4.0.19 allows remote attackers to cause a denial of service (memory consumption) via a TextWebSocketFrame followed by a long stream of ContinuationWebSocketFrames.
Publish Date : 2014-05-06 Last Update Date : 2019-04-16
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 399

- Products Affected By CVE-2014-0193

# Product Type Vendor Product Version Update Edition Language
1 Application Netty Project Netty 3.6.0 Version Details Vulnerabilities
2 Application Netty Project Netty 3.6.1 Version Details Vulnerabilities
3 Application Netty Project Netty 3.6.2 Version Details Vulnerabilities
4 Application Netty Project Netty 3.6.3 Version Details Vulnerabilities
5 Application Netty Project Netty 3.6.4 Version Details Vulnerabilities
6 Application Netty Project Netty 3.6.5 Version Details Vulnerabilities
7 Application Netty Project Netty 3.6.6 Version Details Vulnerabilities
8 Application Netty Project Netty 3.6.7 Version Details Vulnerabilities
9 Application Netty Project Netty 3.6.8 Version Details Vulnerabilities
10 Application Netty Project Netty 3.7.0 Version Details Vulnerabilities
11 Application Netty Project Netty 3.8.0 Version Details Vulnerabilities
12 Application Netty Project Netty 3.8.1 Version Details Vulnerabilities
13 Application Netty Project Netty 3.9.0 Version Details Vulnerabilities
14 Application Netty Project Netty 4.0.0 Version Details Vulnerabilities
15 Application Netty Project Netty 4.0.1 Version Details Vulnerabilities
16 Application Netty Project Netty 4.0.2 Version Details Vulnerabilities
17 Application Netty Project Netty 4.0.3 Version Details Vulnerabilities
18 Application Netty Project Netty 4.0.4 Version Details Vulnerabilities
19 Application Netty Project Netty 4.0.5 Version Details Vulnerabilities
20 Application Netty Project Netty 4.0.6 Version Details Vulnerabilities
21 Application Netty Project Netty 4.0.7 Version Details Vulnerabilities
22 Application Netty Project Netty 4.0.8 Version Details Vulnerabilities
23 Application Netty Project Netty 4.0.9 Version Details Vulnerabilities
24 Application Netty Project Netty 4.0.10 Version Details Vulnerabilities
25 Application Netty Project Netty 4.0.11 Version Details Vulnerabilities
26 Application Netty Project Netty 4.0.12 Version Details Vulnerabilities
27 Application Netty Project Netty 4.0.13 Version Details Vulnerabilities
28 Application Netty Project Netty 4.0.14 Version Details Vulnerabilities
29 Application Netty Project Netty 4.0.15 Version Details Vulnerabilities
30 Application Netty Project Netty 4.0.16 Version Details Vulnerabilities
31 Application Netty Project Netty 4.0.17 Version Details Vulnerabilities
32 Application Netty Project Netty 4.0.18 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Netty Project Netty 32

- References For CVE-2014-0193

http://rhn.redhat.com/errata/RHSA-2014-1019.html
REDHAT RHSA-2014:1019
http://netty.io/news/2014/04/30/release-day.html CONFIRM
https://lists.apache.org/thread.html/[email protected]%3Ccommits.pulsar.apache.org%3E
MLIST [pulsar-commits] 20190416 [GitHub] [pulsar] one70six opened a new issue #4057: Security Vulnerabilities - Black Duck Scan - Pulsar v.2.3.1
http://rhn.redhat.com/errata/RHSA-2015-0765.html
REDHAT RHSA-2015:0765
http://www.securityfocus.com/bid/67182
BID 67182 Netty 'WebSocket08FrameDecoder' Class Denial of Service Vulnerability Release Date:2014-08-11
http://secunia.com/advisories/59290
SECUNIA 59290
http://rhn.redhat.com/errata/RHSA-2015-0720.html
REDHAT RHSA-2015:0720
https://github.com/netty/netty/issues/2441 CONFIRM
http://rhn.redhat.com/errata/RHSA-2015-0675.html
REDHAT RHSA-2015:0675
http://rhn.redhat.com/errata/RHSA-2014-1351.html
REDHAT RHSA-2014:1351
http://rhn.redhat.com/errata/RHSA-2014-1021.html
REDHAT RHSA-2014:1021
http://rhn.redhat.com/errata/RHSA-2014-1020.html
REDHAT RHSA-2014:1020

- Metasploit Modules Related To CVE-2014-0193

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.